import { ref } from 'vue';

// 任务管理表格列
export const taskColumns = ref([
  { type: 'checkbox', width: 50 ,fixed: 'left',align: 'center' },
  {
    field: 'platformNumber',
    title: '平台编号',
    fixed: 'left',
    editRender: { autofocus: '.vxe-input--inner' },
    slots: { edit: 'number_edit' },
    minWidth: 70
  },
  {
    field: 'platformName',
    title: '平台名称',
    fixed: 'left',
    editRender: { autofocus: '.vxe-input--inner' },
    slots: { edit: 'name_edit' },
    align: 'center',
    minWidth: 95, isEditing: false
  },
  {
    field: 'country',
    title: '国家',
    fixed: 'left',
    editRender: { autofocus: '.vxe-input--inner' },
    slots: { edit: 'country_edit' },
    minWidth: 80,
    align: 'center'
  },
  {
    field: 'brandName',
    title: '品牌',
    fixed: 'left',
    editRender: {},
    slots: { edit: 'brand_edit' },
    align: 'center',
    minWidth: 70,
  },
  {
    field: 'user_name',
    title: '填写人',
    fixed: 'left',
    editRender: {},
    slots: {
      edit: 'operation_edit',
      //default: 'operation_default'
    },
    align: 'center',
    minWidth: 104
  },
  {
    field: 'operater',
    title: '运营',
    fixed: 'left',
    editRender: {},
    slots: { edit: 'operater_name_edit' },
    align: 'center',
    minWidth: 97
  },
  {
    field: 'currencyCode',
    title: '平台币种',
    editRender: {},
    slots: { edit: 'currency_edit' },
    align: 'center',
    minWidth: 74
  },
  {
    field: 'currencyCodePlatform',
    title: '回款/余额币种',
    editRender: {},
    slots: { edit: 'currencyCodePlatform_edit' },
    minWidth: 100,
    align: 'center'
  },
  {
    field: 'platform',
    title: '平台',
    editRender: {},
    slots: { edit: 'platform_edit' },
    align: 'center',
    minWidth: 82
  },
  { field: 'line', title: '线路', editRender: {}, slots: { edit: 'line_edit' }, align: 'center', minWidth: 72 },
  { field: 'ipaddress', title: 'IP地址', editRender: {}, slots: { edit: 'ipaddress_edit' }, minWidth: 135 },
  {
    field: 'company',
    title: '注册公司',
    editRender: {},
    slots: { edit: 'company_edit' },
    align: 'center',
    minWidth: 184
  },
  {
    field: 'companyEnglishName',
    title: '公司英文名称',
    editRender: {},
    slots: { edit: 'companyEnglishName_edit' },
    align: 'center',
    minWidth: 126
  },
  // {
  //   field: 'address',
  //   title: '公司地址',
  //   editRender: {},
  //   slots: { edit: 'address_edit' },
  //   align: 'center',
  //   minWidth: 262
  // },
  {
    field: 'juridicalPerson',
    title: '公司法人',
    editRender: {},
    slots: { edit: 'juridicalPerson_edit' },
    align: 'center',
    minWidth: 95
  },
  // {
  //   field: 'juridicalPersonCreditCard',
  //   title: '法人信用卡',
  //   editRender: {},
  //   slots: { edit: 'juridicalPersonCreditCard_edit' },
  //   align: 'center',
  //   minWidth: 105
  // },
  // {
  //   field: 'juridicalPersonCreditCardAddress',
  //   title: '信用卡地址',
  //   editRender: {},
  //   slots: { edit: 'juridicalPersonCreditCardAddress_edit' },
  //   align: 'center',
  //   minWidth: 262
  // },
  // {
  //   field: 'receivablesAccount',
  //   title: '收款账号',
  //   editRender: {},
  //   slots: { edit: 'receivablesAccount_edit' },
  //   align: 'center',
  //   minWidth: 156
  // },
  // {
  //   field: 'receivablesAccountCompany',
  //   title: '收款账号公司',
  //   editRender: {},
  //   slots: { edit: 'receivablesAccountCompany_edit' },
  //   align: 'center',
  //   minWidth: 115
  // },
  // {
  //   field: 'vatNumber',
  //   title: 'VAT税号',
  //   editRender: {},
  //   slots: { edit: 'vatNumber_edit' },
  //   align: 'center',
  //   minWidth: 245
  // },
  // {
  //   field: 'vatCompany',
  //   title: 'VAT税号公司名称',
  //   editRender: {},
  //   slots: { edit: 'vatCompany_edit' },
  //   align: 'center',
  //   minWidth: 135
  // },

  { field: 'status', title: '状态', slots: { default: 'status_default' }, align: 'center', minWidth: 89 },
  { title: '操作', minWidth: 108, slots: { default: 'operate' }, fixed: 'right' },
]);

export const shopInfoColumns = ref([
  {
    field: 'platformNumber',
    title: '平台编号',
    minWidth: 87
  },
  {
    field: 'platformName',
    title: '平台名称',
    align: 'center',
    minWidth: 138, isEditing: false
  },
  {
    field: 'country',
    title: '国家',
    minWidth: 85,
    align: 'center'
  },
  {
    field: 'brandName',
    title: '品牌',
    align: 'center',
    minWidth: 89,
  },
  {
    field: 'user_name',
    title: '填写人',
    align: 'center',
    minWidth: 104
  },
  {
    field: 'operater',
    title: '运营',
    align: 'center',
    minWidth: 104
  },
  {
    field: 'currencyCode',
    title: '平台币种',
    align: 'center',
    minWidth: 90
  },
  {
    field: 'currencyCodePlatform',
    title: '回款/余额币种',
    minWidth: 120,
    align: 'center'
  },
  {
    field: 'platform',
    title: '平台',
    align: 'center',
    minWidth: 89
  },
  { field: 'line', title: '线路', align: 'center', minWidth: 89 },
  { field: 'ipaddress', title: 'IP地址', minWidth: 135 },
  {
    field: 'company',
    title: '注册公司',
    align: 'center',
    minWidth: 184
  },
  {
    field: 'companyEnglishName',
    title: '公司英文名称',
    align: 'center',
    minWidth: 120
  },
  {
    field: 'address',
    title: '公司地址',
    align: 'center',
    minWidth: 262
  },
  {
    field: 'juridicalPerson',
    title: '公司法人',
    align: 'center',
    minWidth: 95
  },
  {
    field: 'juridicalPersonCreditCard',
    title: '法人信用卡',
    align: 'center',
    minWidth: 105
  },
  {
    field: 'juridicalPersonCreditCardAddress',
    title: '信用卡地址',
    align: 'center',
    minWidth: 262
  },
  {
    field: 'receivablesAccount',
    title: '收款账号',
    align: 'center',
    minWidth: 156
  },
  {
    field: 'receivablesAccountCompany',
    title: '收款账号公司',
    align: 'center',
    minWidth: 115
  },
  { field: 'vatNumber', title: 'VAT税号', align: 'center', minWidth: 95 },
  { field: 'vatCompany', title: 'VAT税号公司名称', align: 'center', minWidth: 135 },
  { field: 'status', title: '状态', slots: { default: 'status_default' }, align: 'center', minWidth: 89 },
]);

// export const planColumns = ref([
//   { type: 'seq', width: 70 },
//   { field: 'platformNumber', title: '平台编号', align: 'center', width: 90 ,},
//   { field: 'platformName', title: '平台名称', align: 'center', width: 142 },
//   { field: 'country', title: '国家', align: 'center', width: 90 },
//   { field: 'brandName', title: '品牌', align: 'center', width: 90 },
//   { field: 'operater', title: '运营', align: 'center', width: 100 },
// ]);
//
// export const operateColumns = ref([
//   { title: '操作', width: 120, slots: { default: 'operate' }, align: 'center' , fixed: 'right'},
// ])

export const planColumns = ref([
  { field: 'platformNumber', title: '平台编号', fixed: 'left', width: 81, align: 'center' },
  { field: 'platformName', title: '平台名称', fixed: 'left', width: 142, align: 'center' },
  { field: 'country', title: '国家', fixed: 'left', width: 80, align: 'center' },
  { field: 'brandName', title: '品牌', fixed: 'left', width: 90 ,align: 'center'},
  { field: 'operater', title: '运营', fixed: 'left', width: 80, align: 'center' },
  // { field: 'status', title: '状态', width: 80, formatter: ({ cellValue }) => cellValue === 1 ? '启用' : '禁用' },
  // { field: 'line', title: '线', width: 80 },
  // { field: 'ipaddress', title: 'IP 地址', width: 150 },
  // { field: 'company', title: '公司', width: 200 },
  // { field: 'platform', title: '平台', width: 100 },
  { field: '1月', title: '1月计划销售额', width: 125,editRender: {}, slots: { edit: 'january' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--' },
  { field: '2月', title: '2月计划销售额', width: 125, editRender: {}, slots: { edit: 'february' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '3月', title: '3月计划销售额', width: 125, editRender: {}, slots: { edit: 'march' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '4月', title: '4月计划销售额', width: 125, editRender: {}, slots: { edit: 'april' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '5月', title: '5月计划销售额', width: 125, editRender: {}, slots: { edit: 'may' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '6月', title: '6月计划销售额', width: 125, editRender: {}, slots: { edit: 'june' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '7月', title: '7月计划销售额', width: 125, editRender: {}, slots: { edit: 'july' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '8月', title: '8月计划销售额', width: 125, editRender: {}, slots: { edit: 'august' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '9月', title: '9月计划销售额', width: 125, editRender: {}, slots: { edit: 'september' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '10月', title: '10月计划销售额', width: 133, editRender: {}, slots: { edit: 'october' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '11月', title: '11月计划销售额', width: 133, editRender: {}, slots: { edit: 'november' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { field: '12月', title: '12月计划销售额', width: 133, editRender: {}, slots: { edit: 'december' }, align: 'center' ,formatter: ({ cellValue }) => cellValue?.planSales || '--'},
  { title: '操作', width: 120, slots: { default: 'operate' }, align: 'center' , fixed: 'right'},
])